Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class TransactionBlkType

    java.lang.Object
      nz.co.cks.tms.xml.TransactionBlkType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageTransactionBlk

public abstract class TransactionBlkType
extends java.lang.Object
implements java.io.Serializable

Class TransactionBlkType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private TransactionAuth` | `_transactionAuth` Field _transactionAuth
`private TransactionPurchase` | `_transactionPurchase` Field _transactionPurchase
`private TransactionSettlement` | `_transactionSettlement` Field _transactionSettlement

Constructor Summary
`TransactionBlkType()`

Method Summary
`TransactionAuth` | `getTransactionAuth()` Method getTransactionAuthReturns the value of field 'transactionAuth'.
`TransactionPurchase` | `getTransactionPurchase()` Method getTransactionPurchaseReturns the value of field 'transactionPurchase'.
`TransactionSettlement` | `getTransactionSettlement()` Method getTransactionSettlementReturns the value of field 'transactionSettlement'.
`boolean` | `isValid()` Method isValid
`void` | `setTransactionAuth(TransactionAuth transactionAuth)` Method setTransactionAuthSets the value of field 'transactionAuth'.
`void` | `setTransactionPurchase(TransactionPurchase transactionPurchase)` Method setTransactionPurchaseSets the value of field 'transactionPurchase'.
`void` | `setTransactionSettlement(TransactionSettlement transactionSettlement)` Method setTransactionSettlementSets the value of field 'transactionSettlement'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _transactionAuth

    private TransactionAuth _transactionAuth

  Field _transactionAuth

### _transactionPurchase

    private TransactionPurchase _transactionPurchase

  Field _transactionPurchase

### _transactionSettlement

    private TransactionSettlement _transactionSettlement

  Field _transactionSettlement

Constructor Detail

### TransactionBlkType

    public TransactionBlkType()

Method Detail

### getTransactionAuth

    public TransactionAuth getTransactionAuth()

  Method getTransactionAuthReturns the value of field 'transactionAuth'.

  Returns:
    the value of field 'transactionAuth'.

### getTransactionPurchase

    public TransactionPurchase getTransactionPurchase()

  Method getTransactionPurchaseReturns the value of field 'transactionPurchase'.

  Returns:
    the value of field 'transactionPurchase'.

### getTransactionSettlement

    public TransactionSettlement getTransactionSettlement()

  Method getTransactionSettlementReturns the value of field 'transactionSettlement'.

  Returns:
    the value of field 'transactionSettlement'.

### isValid

    public boolean isValid()

  Method isValid

### setTransactionAuth

    public void setTransactionAuth(TransactionAuth transactionAuth)

  Method setTransactionAuthSets the value of field 'transactionAuth'.

  Parameters:
    `transactionAuth` - the value of field 'transactionAuth'.

### setTransactionPurchase

    public void setTransactionPurchase(TransactionPurchase transactionPurchase)

  Method setTransactionPurchaseSets the value of field 'transactionPurchase'.

  Parameters:
    `transactionPurchase` - the value of field 'transactionPurchase'.

### setTransactionSettlement

    public void setTransactionSettlement(TransactionSettlement transactionSettlement)

  Method setTransactionSettlementSets the value of field 'transactionSettlement'.

  Parameters:
    `transactionSettlement` - the value of field 'transactionSettlement'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD